Delete Zone by Name - Fabric

Delete Zone by Name

cURL

curl --request DELETE \
  --url https://api.fabric.inc/v3/location-zones/zone-name/{zoneName} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests

url = "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Sample Successful Response

{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "zoneId": "9372919a8219e8",
  "description": "Specific zone for US Locations",
  "locations": [
    {
      "priority": 1,
      "locationNumber": 23
    }
  ],
  "tiers": [
    {
      "filters": [
        {
          "field": "location.locationNum",
          "condition": "EQ",
          "value": "<unknown>",
          "group": "GroupA"
        }
      ],
      "sort": "+location.createdAt",
      "tier": 123
    }
  ],
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

Sample Error Responses

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}
{
  "message": "Zone with zoneName US_ZONE not found"
}
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}

Authorizations

Authorization : Bearer <token>, where <token> is your auth token.

Required Headers